# Copyright 2024 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
apiVersion: constraints.gatekeeper.sh/v1alpha1
kind: GCPGKEEnableK8sEngineLoggingConstraintV1
metadata:
  name: gke_cluster_k8s_engine_logging
  annotations:
    category: Traceability
    description: GKE Clusters must have Kubernetes Engine logging enabled.
    assetType: container.googleapis.com/Cluster
spec:
  severity: major
  match:
    target: ["organization/"]
    exclude:
